Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DescribeEngineDefaultParametersRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DescribeEngineDefaultParametersRequest

    public class DescribeEngineDefaultParametersRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeEngineDefaultParameters operation`.

This API returns the default engine and system parameter information for the specified database engine.

See Also:
  `AmazonRDS.describeEngineDefaultParameters(DescribeEngineDefaultParametersRequest)`

Constructor Summary
`DescribeEngineDefaultParametersRequest()`

Method Summary
`String` | `getEngine()` The name of the database engine.
`String` | `getMarker()` An optional marker provided in the previous DescribeDBInstances request.
`Integer` | `getMaxRecords()` The maximum number of records to include in the response.
`void` | `setEngine(String engine)` The name of the database engine.
`void` | `setMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`void` | `setMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeEngineDefaultParametersRequest` | `withEngine(String engine)` The name of the database engine.
`DescribeEngineDefaultParametersRequest` | `withMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`DescribeEngineDefaultParametersRequest` | `withMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeEngineDefaultParametersRequest

    public DescribeEngineDefaultParametersRequest()

Method Detail

### getEngine

    public String getEngine()

  The name of the database engine.

  Returns:
    The name of the database engine.

### setEngine

    public void setEngine(String engine)

  The name of the database engine.

  Parameters:
    `engine` - The name of the database engine.

### withEngine

    public DescribeEngineDefaultParametersRequest withEngine(String engine)

  The name of the database engine.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `engine` - The name of the database engine.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxRecords

    public Integer getMaxRecords()

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns:
    The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### setMaxRecords

    public void setMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### withMaxRecords

    public DescribeEngineDefaultParametersRequest withMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMarker

    public String getMarker()

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns:
    An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### setMarker

    public void setMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### withMarker

    public DescribeEngineDefaultParametersRequest withMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.